Skip to main content
GET
Get a webhook Integration Resource by ID

Authorizations

X-BRONTO-API-KEY
string
header
required

Path Parameters

webhook_id
string
required

The unique identifier of the webhook integration to retrieve

Response

Webhook Integration Resource retrieved successfully

id
string
required

A unique identifier for the integration resource

Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string
required

The webhook name

Required string length: 1 - 255
Example:

"my-webhook"

url
string
required

The webhook url

Required string length: 10 - 2048
Example:

"https://webhook.site/cfee291c-4fcc-464a-aabc-3f9653295db3"

custom_headers
object

The custom headers to include in the webhook request

Example:
payload
string

The desired payload structure (JSON)

Maximum string length: 2048
Example:

"{\"name\":\"$title\", \"message\": \"$description\", \"details\":{\"id\": \"$alert_id\"}}"